
This Flutter package provides the ability to add shimmer and blur effects to your images. You can apply these effects in circular and rectangular shapes, and use them with both local and online images.



## Features

![Media_231019](https://github.com/Swan1993/image_blur/assets/59397057/0e69883b-1bce-40a9-9c44-590527b18f48)


## Getting started

```yaml
dependencies:
  image_blur: ^0.0.3
```

## How to use

```dart
import 'package:image_blur/image_blur.dart';

```


 `/example` 

```dart
 ImageBlur.imageRectangleBlur(
imageAssets: "assets/post.jpg",
height: 250,
width: 250,
isBlur: true,
),
```

```dart
ImageBlur.imageCircularBlur(
size: 250,
imageNetwork: "https://images.pexels.com/photos/1042423/pexels-photo-1042423.jpeg?auto=compress&cs=tinysrgb&w=1600",
)                           
```

## Additional information

If you have any issues, questions, or suggestions related to this package, please feel free to contact us at [zagros.development.group@gmail.com](mailto:zagros.development.group@gmail.com). We welcome your feedback and will do our best to address any problems or provide assistance.

For more information about this package, you can also visit our [GitHub repository](https://github.com/Swan1993/image_blur) where you can find additional resources, contribute to the package's development, and file issues or bug reports. We appreciate your contributions and feedback, and we aim to make this package as useful as possible for our users.

Thank you for using our package, and we look forward to hearing from you!
